Agora C++ API Reference for All Platforms

Public Member Functions | Protected Member Functions | List of all members
agora::base::ISyncClientEx Class Referenceabstract

Inherits agora::base::ISyncClient.

## Public Member Functions
virtual int32_t | registerExternalTransportLLApiInternal (ISyncTransport *transport)=0
virtual int32_t | unregisterExternalTransportLLApiInternal (ISyncTransport *transport)=0
virtual int32_t | registerSyncClientObserverLLApiInternal (ISyncClientObserver *observer, void(*safeDeleter)(ISyncClientObserver *)=nullptr)=0
virtual int32_t | unregisterSyncClientObserverLLApiInternal (ISyncClientObserver *observer)=0
virtual int32_t | setRequestTimeoutLLApiInternal (const uint32_t timeout)=0
virtual int32_t | setTicketLLApiInternal (const char *key, const char *ticket)=0
virtual int32_t | removeTicketLLApiInternal (const char *channelId, user_id_t userId)=0
virtual int32_t | renewTicketLLApiInternal (const char *key, const char *ticket)=0
virtual int32_t | loginLLApiInternal (const char *token, const char *channelName, user_id_t userId, std::function< void(SyncClientError)> callback)=0
virtual int32_t | queryDocLLApiInternal (const char *database, const char *coll, const char *range_start, const char *range_end, int64_t limits, bool doc_only, bool count_only, QueryCallbackFunc callback)=0
virtual int32_t | logoutLLApiInternal ()=0
virtual int32_t | renewTokenLLApiInternal (const char *token)=0
virtual int32_t | connectDatabaseLLApiInternal (const char *database, DataBaseOpCallbackFunc callback)=0
virtual int32_t | disconnectDatabaseLLApiInternal (const char *database, DataBaseOpCallbackFunc callback)=0
virtual int32_t | createCollectionLLApiInternal (const char *database, const char *collection, const char **readable, int readSize, CollectionOpCallbackFunc callback)=0
virtual int32_t | deleteCollectionLLApiInternal (const char *database, const char *collection, CollectionOpCallbackFunc callback)=0
virtual int32_t | subscribeLLApiInternal (const char *database, const char *collection, util::AString &snapshotJson)=0
virtual int32_t | unsubscribeLLApiInternal (const char *database, const char *collection)=0
virtual int32_t | addReadableLLApiInternal (const char *database, const char *coll, const char *readable)=0
virtual int32_t | removeReadableLLApiInternal (const char *database, const char *coll, const char *readable)=0
virtual int32_t | putDocLLApiInternal (const char *database, const char *collection, const char *docName)=0
virtual int32_t | deleteDocLLApiInternal (const char *database, const char *collection, const char *docName)=0
virtual int32_t | getDocsLLApiInternal (const char *database, const char *collection, util::AString *docNames, uint32_t docSize)=0
virtual int32_t | putDocValueLLApiInternal (const char *database, const char *collection, const char *docName, const char *jsonValue)=0
virtual int32_t | updateDocValueLLApiInternal (const char *database, const char *collection, const char *docName, const char *path, const char *jsonValue)=0
virtual int32_t | deleteDocValueLLApiInternal (const char *database, const char *collection, const char *docName, const char *path)=0
virtual int32_t | deleteDocValuesLLApiInternal (const char *database, const char *collection, const char *docName, const char **path, uint32_t pathSize)=0
virtual int32_t | getDocValueLLApiInternal (const char *database, const char *collection, const char *docName, util::AString &jsonValue)=0
virtual int32_t | hasPathLLApiInternal (const char *database, const char *collection, const char *docName, const char *path, bool &result)=0
virtual int32_t | keepAliveDocLLApiInternal (const char *database, const char *collection, const char *docName, uint32_t ttl)=0
virtual bool | isOpPermissionLLApiInternal (const char *database, const char *collection, const char *docName, OP_Privilege op)=0
virtual int32_t | shakehandLLApiInternal ()=0
Public Member Functions inherited from agora::base::ISyncClient
virtual int32_t | registerSyncClientObserver (ISyncClientObserver *observer, void(*safeDeleter)(ISyncClientObserver *)=OPTIONAL_NULLPTR, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | unregisterSyncClientObserver (ISyncClientObserver *observer)=0
virtual int32_t | login (const char *token, const char *channelName, user_id_t userId, syncClientCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | queryDoc (const char *database, const char *coll, const char *range_start, const char *range_end, int64_t limits, bool doc_only, bool count_only, queryDocCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | logout (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | renewToken (const char *token, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | connectDatabase (const char *database, dataBaseOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | disconnectDatabase (const char *database, dataBaseOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | createCollection (const char *database, const char *collection, const char **readable, int readSize, collectionOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteCollection (const char *database, const char *collection, collectionOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | subscribe (const char *database, const char *collection, util::AString &snapshotJson)=0
virtual int32_t | unsubscribe (const char *database, const char *collection, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | addReadable (const char *database, const char *coll, const char *readable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | removeReadable (const char *database, const char *coll, const char *readable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | putDoc (const char *database, const char *collection, const char *docName, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteDoc (const char *database, const char *collection, const char *docName, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | getDocs (const char *database, const char *collection, util::AString *docNames, uint32_t docSize)=0
virtual int32_t | putDocValue (const char *database, const char *collection, const char *docName, const char *jsonValue, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | updateDocValue (const char *database, const char *collection, const char *docName, const char *path, const char *jsonValue, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteDocValue (const char *database, const char *collection, const char *docName, const char *path, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteDocValues (const char *database, const char *collection, const char *docName, const char **path, uint32_t pathSize, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | getDocValue (const char *database, const char *collection, const char *docName, util::AString &jsonValue)=0
virtual int32_t | hasPath (const char *database, const char *collection, const char *docName, const char *path, bool &result)=0
virtual int32_t | keepAliveDoc (const char *database, const char *collection, const char *docName, uint32_t ttl, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isOpPermission (const char *database, const char *collection, const char *docName, OP_Privilege op)=0
virtual int32_t | shakehand (aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Member Functions
virtual | ~ISyncClientEx ()
Protected Member Functions inherited from agora::base::ISyncClient
virtual | ~ISyncClient ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~ISyncClientEx()

virtual agora::base::ISyncClientEx::~ISyncClientEx | ( |  | ) |
| inline protected virtual

## Member Function Documentation

## ◆ registerExternalTransportLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::registerExternalTransportLLApiInternal | ( | ISyncTransport * | transport | ) |
| pure virtual

## ◆ unregisterExternalTransportLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::unregisterExternalTransportLLApiInternal | ( | ISyncTransport * | transport | ) |
| pure virtual

## ◆ registerSyncClientObserverLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::registerSyncClientObserverLLApiInternal | ( | ISyncClientObserver * | observer,
|  | void(*)(ISyncClientObserver *) | safeDeleter = `nullptr`
| ) |  |
| pure virtual

## ◆ unregisterSyncClientObserverLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::unregisterSyncClientObserverLLApiInternal | ( | ISyncClientObserver * | observer | ) |
| pure virtual

## ◆ setRequestTimeoutLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::setRequestTimeoutLLApiInternal | ( | const uint32_t | timeout | ) |
| pure virtual

## ◆ setTicketLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::setTicketLLApiInternal | ( | const char * | key,
|  | const char * | ticket
| ) |  |
| pure virtual

## ◆ removeTicketLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::removeTicketLLApiInternal | ( | const char * | channelId,
|  | user_id_t | userId
| ) |  |
| pure virtual

## ◆ renewTicketLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::renewTicketLLApiInternal | ( | const char * | key,
|  | const char * | ticket
| ) |  |
| pure virtual

## ◆ loginLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::loginLLApiInternal | ( | const char * | token,
|  | const char * | channelName,
|  | user_id_t | userId,
|  | std::function< void(SyncClientError)> | callback
| ) |  |
| pure virtual

## ◆ queryDocLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::queryDocLLApiInternal | ( | const char * | database,
|  | const char * | coll,
|  | const char * | range_start,
|  | const char * | range_end,
|  | int64_t | limits,
|  | bool | doc_only,
|  | bool | count_only,
|  | QueryCallbackFunc | callback
| ) |  |
| pure virtual

## ◆ logoutLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::logoutLLApiInternal | ( |  | ) |
| pure virtual

## ◆ renewTokenLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::renewTokenLLApiInternal | ( | const char * | token | ) |
| pure virtual

## ◆ connectDatabaseLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::connectDatabaseLLApiInternal | ( | const char * | database,
|  | DataBaseOpCallbackFunc | callback
| ) |  |
| pure virtual

## ◆ disconnectDatabaseLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::disconnectDatabaseLLApiInternal | ( | const char * | database,
|  | DataBaseOpCallbackFunc | callback
| ) |  |
| pure virtual

## ◆ createCollectionLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::createCollectionLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char ** | readable,
|  | int | readSize,
|  | CollectionOpCallbackFunc | callback
| ) |  |
| pure virtual

## ◆ deleteCollectionLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::deleteCollectionLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | CollectionOpCallbackFunc | callback
| ) |  |
| pure virtual

## ◆ subscribeLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::subscribeLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | util::AString & | snapshotJson
| ) |  |
| pure virtual

## ◆ unsubscribeLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::unsubscribeLLApiInternal | ( | const char * | database,
|  | const char * | collection
| ) |  |
| pure virtual

## ◆ addReadableLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::addReadableLLApiInternal | ( | const char * | database,
|  | const char * | coll,
|  | const char * | readable
| ) |  |
| pure virtual

## ◆ removeReadableLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::removeReadableLLApiInternal | ( | const char * | database,
|  | const char * | coll,
|  | const char * | readable
| ) |  |
| pure virtual

## ◆ putDocLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::putDocLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName
| ) |  |
| pure virtual

## ◆ deleteDocLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::deleteDocLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName
| ) |  |
| pure virtual

## ◆ getDocsLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::getDocsLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | util::AString * | docNames,
|  | uint32_t | docSize
| ) |  |
| pure virtual

## ◆ putDocValueLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::putDocValueLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | const char * | jsonValue
| ) |  |
| pure virtual

## ◆ updateDocValueLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::updateDocValueLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | const char * | path,
|  | const char * | jsonValue
| ) |  |
| pure virtual

## ◆ deleteDocValueLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::deleteDocValueLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | const char * | path
| ) |  |
| pure virtual

## ◆ deleteDocValuesLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::deleteDocValuesLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | const char ** | path,
|  | uint32_t | pathSize
| ) |  |
| pure virtual

## ◆ getDocValueLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::getDocValueLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | util::AString & | jsonValue
| ) |  |
| pure virtual

## ◆ hasPathLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::hasPathLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | const char * | path,
|  | bool & | result
| ) |  |
| pure virtual

## ◆ keepAliveDocLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::keepAliveDocLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | uint32_t | ttl
| ) |  |
| pure virtual

## ◆ isOpPermissionLLApiInternal()

virtual bool agora::base::ISyncClientEx::isOpPermissionLLApiInternal | ( | const char * | database,
|  | const char * | collection,
|  | const char * | docName,
|  | OP_Privilege | op
| ) |  |
| pure virtual

## ◆ shakehandLLApiInternal()

virtual int32_t agora::base::ISyncClientEx::shakehandLLApiInternal | ( |  | ) |
| pure virtual